ftp.delorie.com/archives/browse.cgi   search  
Mail Archives: cygwin-apps/2002/06/10/19:11:17

Mailing-List: contact cygwin-apps-help AT cygwin DOT com; run by ezmlm
Sender: cygwin-apps-owner AT cygwin DOT com
List-Subscribe: <mailto:cygwin-apps-subscribe AT cygwin DOT com>
List-Archive: <http://sources.redhat.com/ml/cygwin-apps/>
List-Post: <mailto:cygwin-apps AT cygwin DOT com>
List-Help: <mailto:cygwin-apps-help AT cygwin DOT com>, <http://sources.redhat.com/lists.html#faqs>
Mail-Followup-To: cygwin-apps AT cygwin DOT com
Delivered-To: mailing list cygwin-apps AT cygwin DOT com
Message-ID: <3D053221.7030301@ece.gatech.edu>
Date: Mon, 10 Jun 2002 19:11:29 -0400
From: Charles Wilson <cwilson AT ece DOT gatech DOT edu>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4) Gecko/20011019 Netscape6/6.2
X-Accept-Language: en-us
MIME-Version: 1.0
To: cygwin-apps AT cygwin DOT com
Subject: Re: 2. ITP: expat-1.95.3 for Cygwin
References: <127273278023 DOT 20020610131703 AT familiehaase DOT de>
X-Virus-Scanned: by amavisd-milter (http://amavis.org/)


Gerrit P. Haase wrote:

> Hallo,
> 
> Expat is needed for the Perl module XML::Parser which is
> used widely.  Since it is not trivial to build it from
> source with the latest release I provide a prebuilt package
> for the Cgwin Perl community.


1) the docu should go into /usr/doc/expat-1.95.3/ not /usr/doc/expat/

2) you should *not* use autoupdate in your reconf-cygwin script. 
Autoupdate changes *source* files for the autotools; it is intended to 
help you -- the maintainer -- create source file mods needed so that we 
-- other users who want to build-from-soruce -- can rebuild using 
"normal" auto* tools (autoconf, aclocal, autoheader, automake, libtoolize)

e.g. take a snapshot after running autoupdate but before running the 
other tools -- that should be the patch.

2a) also, you should call reconf-cygwin as part of the "prep" stage, not 
the "conf" stage -- IMO.

3) you probably shouldn't use the --automake option with libtoolize, 
since you aren't using automake.

4) How often is the library version going to (incompatibly) change?
VSNFLAG = -version-info @LIBCURRENT@:@LIBREVISION@:@LIBAGE@
I note that the package version is 1.95, but the shared lib version info 
  is LIBCURRENT=2, LIBREVISION=0, LIBAGE=2 -- which means we're on the 
3rd compatible release of the initial API revision.  (thus, cygexpat-0.dll).

I ask because IF you expect an incompatible change, you might want to 
split the DLL out separately into a 'libexpat0' package.  OTOH, that's a 
PITA and if the API is very stable, it's probably unnecesssary.

-------
All that being said, I think 'expat' is a useful addition.


> 
> The tarballs ready for use/review/upload:
> 
> http://koeln.convey.de/cywgin/expat/expat-1.95.3-1-src.tar.bz2
> http://koeln.convey.de/cywgin/expat/expat-1.95.3-1.tar.bz2
> http://koeln.convey.de/cywgin/expat/setup.hint


BTW: cygwin is mis-spelled, although the links above work properly WITH 
the mis-spelling.

--Chuck

- Raw text -


  webmaster     delorie software   privacy  
  Copyright 2019   by DJ Delorie     Updated Jul 2019